<script lang="ts">
  /** @type {import('./$types').PageData} */
  export let data;
  import { Button, Modal, Container, Row, Col } from "sveltestrap";
  import {onMount} from 'svelte';

  //let isOpen = false;
  //const toggle = () => (isOpen = !isOpen);
  import ace from 'ace-builds/src-noconflict/ace'

  onMount(() => {
  var editor = ace.edit("editor");
    editor.setTheme("ace/theme/monokai");
    editor.session.setMode("ace/mode/yaml");
    editor.getSession().on('change', function() {
  console.log('yeah baby');
});
    
});
</script>

<svelte:head>
  <title>Home</title>
  <meta name="description" content="Svelte demo app" />
</svelte:head>

<section class="h-100">
<Container fluid class="h-100">
  <Row class="h-100">
    <Col md={4} class="h-100">

      <div id="editor" class="h-100">
cv: 
    personal:
        firstName: Robert Michael
        lastName: Forster
        address:
            - 28 Back Lane
            - Dunston
            - Lincs
            - LN4 2EH
            - GB
        phone: 07771 715308
        email: robert.forster@beamvex.co.uk
        position: Senior Technical Architect
    skills:
        - Java:
            experience: 23 Years
        - JavaScript:
            experience: 5 Years
        - TypeScript:
            experience: 3 Years
        - Oracle:
            experience: 10 Years
        - Lambda Functions:
            experience: 7 Years    
        - 

</div>


    </Col>
    <Col md={8}>
    </Col>
  </Row>

</Container>  

</section>



<style>

      #editor { 
        position: relative;
        
        border: 1px black solid;
    }
</style>
